Arch MergeWalls/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Narzędzie '''Połącz ściany''' łączy dwie lub więcej wybranych {{Button|16px ścian}}.")
(Created page with "==Użycie==")
Line 23: Line 23:
Narzędzie '''Połącz ściany''' łączy dwie lub więcej wybranych {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch_Wall/pl|ścian]]}}.
Narzędzie '''Połącz ściany''' łączy dwie lub więcej wybranych {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch_Wall/pl|ścian]]}}.


==Usage==
<span id="Usage"></span>
==Użycie==


# Select two or more walls. The walls must have the same height, width and alignment.
# Select two or more walls. The walls must have the same height, width and alignment.

Revision as of 17:53, 6 May 2024

Architektura: Połącz ściany

Lokalizacja w menu
Architektura → Narzędzia → Połącz ściany
Środowisko pracy
Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Ściana

Opis

Narzędzie Połącz ściany łączy dwie lub więcej wybranych ścian.

Użycie

  1. Select two or more walls. The walls must have the same height, width and alignment.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Notes

  • Arch Add can merge walls even if they have different heights, widths and alignments.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])